Skip to content

Create Secret Asset

POST
/v1/portal/secret-assets
curl --request POST \
--url 'https://example.com/v1/portal/secret-assets?tenant_id=' \
--header 'Content-Type: application/json' \
--data '{}'
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
x-pomerium-jwt-assertion
Any of:
string
Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}

Successful Response

Media typeapplication/json
PortalSecretAssetWriteOut
object
key_name
Key Name
string
""
scope
Scope
string
""
project_slug
Project Slug
string
""
environment
Environment
string
""
customer_slug
Customer Slug
string
""
runtime_provider
Runtime Provider
string
""
status
Status
string
default: stored
validation_status
Validation Status
string
default: not_run
lineage_refs
Lineage Refs
Array<string>
impact_targets
Impact Targets
Array<object>
PortalSecretAssetImpactOut
object
target_type
Target Type
string
""
target_ref
Target Ref
string
""
reason
Reason
string
""
Example
{
"key_name": "",
"scope": "",
"project_slug": "",
"environment": "",
"customer_slug": "",
"runtime_provider": "",
"status": "stored",
"validation_status": "not_run",
"impact_targets": [
{
"target_type": "",
"target_ref": "",
"reason": ""
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}